Description
===========

A Chef cookbook for provisioning the [Riemann event stream processor](http://riemann.io).

Requirements
============

The cookbook should suffice, given these prerequisites:

* a Java runtime (v1.7 or v1.8) for the server component
* a Ruby interpreter and RubyGems for the client components

Chef Attributes
==========

```ruby
default['riemann']['ruby_tarball_location'] = "http://ftp.ruby-lang.org/pub/ruby/1.9/ruby-1.9.3-p374.tar.gz"
default['riemann']['ruby_tarball'] = "ruby-1.9.3-p374.tar.gz"
default['riemann']['ruby_tarball_dir'] = "ruby-1.9.3-p374"
default['riemann']['riemann_deb_pkg_url'] = 'http://aphyr.com/riemann/riemann_0.2.9_all.deb'
default['riemann']['riemann_deb_pkg'] = 'riemann_0.2.9_all.deb'
default['riemann']['jdk_package'] = "openjdk-7-jdk"
```

Usage
=====

Add `riemann::server` to the `run_list` to install the server; this will also install the client Ruby gem.

Add `riemann::client` to the `run_list` to only install the client Ruby gem.

Add `riemann::dash` to the `run_list` to install the Riemann web UI dashboard; this will also install the server and client Ruby gem.
